#
# Please do not update/rebuild/touch this package before asking first
# to mikala and/or neoclust and/or daviddavid
# This package is part of the KDE Stack.
#

%define rel 1

%define major 5
%define libname %{mklibname kf5kface %major}

Name:		libkface
Summary:	LibRaw library used to decode RAW picture files
Group:		Graphical desktop/KDE
Version: 16.12.3
Release:	%mkrel %rel
License:	GPLv2+
URL:		http://www.kde.org
Source0:	http://download.kde.org/stable/applications/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(opencv)

BuildRequires:  kf5-macros
BuildRequires:  ki18n-devel


BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5Gui)

Requires:	%libname = %{version}-%{release}

%description
Libkface is a Qt/C++ wrapper around LibFace library to perform face recognition
and detection over pictures 
This library is used by kipi-plugins, digiKam and others kipi host programs.

%files
%{_kf5_datadir}/%name

#----------------------------------------------------------------------

%package -n %libname
Summary:	KDE library
Group:		System/Libraries

%description -n %libname
Libraries needed by %name.

%files -n %libname
%{_kf5_libdir}/libKF5KFace.so.%{major}*
%{_kf5_libdir}/libKF5KFace.so.10*

#----------------------------------------------------------------------

%define libnamedev %{mklibname kf5kface -d}

%package -n %libnamedev
Summary:	KDE library
Group:		System/Libraries
Requires:	%libname = %{version}-%{release}
Provides:	%name-devel = %{version}-%{release}

%description -n %libnamedev
Development and static files needed by %name.

%files -n %libnamedev
%{_kf5_includedir}/KFace
%{_kf5_includedir}/libkface_version.h
%{_kf5_libdir}/*.so
%{_kf5_libdir}/cmake/KF5KFace

#----------------------------------------------------------------------
%prep
%setup -q

%build
%cmake_kf5
%make_build

%install
%make_install -C build



%changelog
* Wed Mar 08 2017 neoclust <neoclust> 16.12.3-1.mga6
+ Revision: 1090148
- New version 16.12.3
- New version 16.12.2
- New version 16.12.1

* Sat Dec 24 2016 neoclust <neoclust> 16.12.0-1.mga6
+ Revision: 1076890
- New version 16.12.0

* Sun Dec 04 2016 neoclust <neoclust> 16.11.90-1.mga6
+ Revision: 1072083
- New version 16.11.90

* Tue Nov 15 2016 neoclust <neoclust> 16.08.3-1.mga6
+ Revision: 1067402
- New version 16.08.3

* Mon Oct 17 2016 neoclust <neoclust> 16.08.2-1.mga6
+ Revision: 1061465
- New version 16.08.2

* Thu Sep 08 2016 neoclust <neoclust> 16.08.1-1.mga6
+ Revision: 1050728
- New version 16.08.1

* Sat Aug 20 2016 neoclust <neoclust> 16.08.0-1.mga6
+ Revision: 1047377
- New version 16.08.0

* Sat Jul 09 2016 neoclust <neoclust> 16.04.3-1.mga6
+ Revision: 1040131
- New version 16.04.3
- New version 16.04.2

* Wed May 11 2016 neoclust <neoclust> 16.04.1-1.mga6
+ Revision: 1012621
- New version 16.04.1

* Fri Apr 22 2016 neoclust <neoclust> 16.04.0-1.mga6
+ Revision: 1004496
- New version

* Sun Mar 20 2016 luigiwalser <luigiwalser> 15.12.3-1.mga6
+ Revision: 993187
- 15.12.3

* Tue Mar 08 2016 neoclust <neoclust> 15.12.2-1.mga6
+ Revision: 987573
- New version 15.12.2

* Mon Feb 15 2016 umeabot <umeabot> 2.0.0-0.git.4.mga6
+ Revision: 961057
- Mageia 6 Mass Rebuild

* Tue Aug 25 2015 neoclust <neoclust> 2.0.0-0.git.3.mga6
+ Revision: 869187
- Update to KF5 branch

* Thu Jan 17 2013 ze <ze> 2.0.0-0.git.2.mga6
+ Revision: 389214
- imported package libkface


* Thu Jun 30 2011 Zé <ze@mandriva.org>  2.0.0-2.mde2
- sync git repo (revision 40865d0..9e3fafe)

* Wed Jun 15 2011 Zé <ze@mandriva.org> 2.0.0-1.mde2
- first package
